

export const PTO_theme = {
    name: 'PTO',
    properties: {
		// =~= Theme Properties =~=
		"--theme-font-family-base": `system-ui`,
		"--theme-font-family-heading": `system-ui`,
		"--theme-font-color-base": "0 0 0",
		"--theme-font-color-dark": "255 255 255",
		"--theme-rounded-base": "9999px",
		"--theme-rounded-container": "12px",
		"--theme-border-base": "4px",
		// =~= Theme On-X Colors =~=
		"--on-primary": "0 0 0",
		"--on-secondary": "0 0 0",
		"--on-tertiary": "0 0 0",
		"--on-success": "0 0 0",
		"--on-warning": "0 0 0",
		"--on-error": "0 0 0",
		"--on-surface": "0 0 0",
		// =~= Theme Colors  =~=
		// primary | #99c1f1 
		"--color-primary-50": "240 246 253", // #f0f6fd
		"--color-primary-100": "235 243 252", // #ebf3fc
		"--color-primary-200": "230 240 252", // #e6f0fc
		"--color-primary-300": "214 230 249", // #d6e6f9
		"--color-primary-400": "184 212 245", // #b8d4f5
		"--color-primary-500": "153 193 241", // #99c1f1
		"--color-primary-600": "138 174 217", // #8aaed9
		"--color-primary-700": "115 145 181", // #7391b5
		"--color-primary-800": "92 116 145", // #5c7491
		"--color-primary-900": "75 95 118", // #4b5f76
		// secondary | #62a0ea 
		"--color-secondary-50": "231 241 252", // #e7f1fc
		"--color-secondary-100": "224 236 251", // #e0ecfb
		"--color-secondary-200": "216 231 250", // #d8e7fa
		"--color-secondary-300": "192 217 247", // #c0d9f7
		"--color-secondary-400": "145 189 240", // #91bdf0
		"--color-secondary-500": "98 160 234", // #62a0ea
		"--color-secondary-600": "88 144 211", // #5890d3
		"--color-secondary-700": "74 120 176", // #4a78b0
		"--color-secondary-800": "59 96 140", // #3b608c
		"--color-secondary-900": "48 78 115", // #304e73
		// tertiary | #3584e4 
		"--color-tertiary-50": "225 237 251", // #e1edfb
		"--color-tertiary-100": "215 230 250", // #d7e6fa
		"--color-tertiary-200": "205 224 248", // #cde0f8
		"--color-tertiary-300": "174 206 244", // #aecef4
		"--color-tertiary-400": "114 169 236", // #72a9ec
		"--color-tertiary-500": "53 132 228", // #3584e4
		"--color-tertiary-600": "48 119 205", // #3077cd
		"--color-tertiary-700": "40 99 171", // #2863ab
		"--color-tertiary-800": "32 79 137", // #204f89
		"--color-tertiary-900": "26 65 112", // #1a4170
		// success | #2ec27e 
		"--color-success-50": "224 246 236", // #e0f6ec
		"--color-success-100": "213 243 229", // #d5f3e5
		"--color-success-200": "203 240 223", // #cbf0df
		"--color-success-300": "171 231 203", // #abe7cb
		"--color-success-400": "109 212 165", // #6dd4a5
		"--color-success-500": "46 194 126", // #2ec27e
		"--color-success-600": "41 175 113", // #29af71
		"--color-success-700": "35 146 95", // #23925f
		"--color-success-800": "28 116 76", // #1c744c
		"--color-success-900": "23 95 62", // #175f3e
		// warning | #f6d32d 
		"--color-warning-50": "254 248 224", // #fef8e0
		"--color-warning-100": "253 246 213", // #fdf6d5
		"--color-warning-200": "253 244 203", // #fdf4cb
		"--color-warning-300": "251 237 171", // #fbedab
		"--color-warning-400": "249 224 108", // #f9e06c
		"--color-warning-500": "246 211 45", // #f6d32d
		"--color-warning-600": "221 190 41", // #ddbe29
		"--color-warning-700": "185 158 34", // #b99e22
		"--color-warning-800": "148 127 27", // #947f1b
		"--color-warning-900": "121 103 22", // #796716
		// error | #e01b24 
		"--color-error-50": "250 221 222", // #faddde
		"--color-error-100": "249 209 211", // #f9d1d3
		"--color-error-200": "247 198 200", // #f7c6c8
		"--color-error-300": "243 164 167", // #f3a4a7
		"--color-error-400": "233 95 102", // #e95f66
		"--color-error-500": "224 27 36", // #e01b24
		"--color-error-600": "202 24 32", // #ca1820
		"--color-error-700": "168 20 27", // #a8141b
		"--color-error-800": "134 16 22", // #861016
		"--color-error-900": "110 13 18", // #6e0d12
		// surface | #35a2e0 
		"--color-surface-50": "225 241 250", // #e1f1fa
		"--color-surface-100": "215 236 249", // #d7ecf9
		"--color-surface-200": "205 232 247", // #cde8f7
		"--color-surface-300": "174 218 243", // #aedaf3
		"--color-surface-400": "114 190 233", // #72bee9
		"--color-surface-500": "53 162 224", // #35a2e0
		"--color-surface-600": "48 146 202", // #3092ca
		"--color-surface-700": "40 122 168", // #287aa8
		"--color-surface-800": "32 97 134", // #206186
		"--color-surface-900": "26 79 110", // #1a4f6e
		
	}
}